/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.rogiel.httpchannel.service;

import java.io.Closeable;
import java.io.IOException;
import java.nio.channels.Channel;

/**
 * @author <a href="http://www.rogiel.com">Rogiel</a>
 * 
 */
public interface HttpChannel extends Channel, Closeable {
	/**
	 * @return the file size
	 */
	long size() throws IOException;

	/**
	 * @return the file name
	 */
	String filename() throws IOException;

	/**
	 * @return the service providing data to this channel
	 */
	Service getService();
}
